const babel = require('@babel/core')
const transformPlugin = require('./babel-transform-imports/index')

const map = require('vux/src/components/map.json')

function transform(code, filename, inputSourceMap) {
  const rs = babel.transform(code, {
    inputSourceMap,
    sourceMaps: true,
    plugins: [[transformPlugin, {
      vux: {
        preventFullImport: true,
        libraryName: 'vux',
        camelCase: false,
        kebabCase: false,
        snakeCase: false,
        transform: function (importName, matches) {
          return `vux/${map[importName]}`
        }
      }
    }]],
    'filename': filename
  })
  return rs
}

module.exports = transform
